Class | Fog::Compute::Linode::Real
In: | lib/fog/linode/compute.rb lib/fog/linode/requests/compute/linode_config_create.rb lib/fog/linode/requests/compute/avail_stackscripts.rb lib/fog/linode/requests/compute/avail_linodeplans.rb lib/fog/linode/requests/compute/linode_disk_create.rb lib/fog/linode/requests/compute/linode_disk_delete.rb lib/fog/linode/requests/compute/linode_reboot.rb lib/fog/linode/requests/compute/linode_list.rb lib/fog/linode/requests/compute/linode_disk_createfromstackscript.rb lib/fog/linode/requests/compute/linode_delete.rb lib/fog/linode/requests/compute/linode_create.rb lib/fog/linode/requests/compute/linode_ip_addprivate.rb lib/fog/linode/requests/compute/avail_kernels.rb lib/fog/linode/requests/compute/linode_update.rb lib/fog/linode/requests/compute/linode_ip_list.rb lib/fog/linode/requests/compute/linode_config_list.rb lib/fog/linode/requests/compute/avail_distributions.rb lib/fog/linode/requests/compute/linode_shutdown.rb lib/fog/linode/requests/compute/linode_disk_list.rb lib/fog/linode/requests/compute/linode_boot.rb lib/fog/linode/requests/compute/avail_datacenters.rb lib/fog/linode/requests/compute/linode_disk_createfromdistribution.rb lib/fog/linode/requests/compute/stackscript_list.rb
Parent: | Object

### Methods

avail_datacenters avail_distributions avail_kernels avail_linodeplans avail_stackscripts linode_boot linode_config_create linode_config_list linode_create linode_delete linode_disk_create linode_disk_createfromdistribution linode_disk_createfromstackscript linode_disk_delete linode_disk_list linode_ip_addprivate linode_ip_list linode_list linode_reboot linode_shutdown linode_update new reload request stackscript_list

### Public Class methods

new(options={})

### Public Instance methods

avail_datacenters()

Get available data centers

#### Returns

- response<~Excon::Response>:
  - body<~Array>:

TODO: docs

avail_distributions(distribution_id=nil)

Get available distributions

#### Parameters

- distributionId<~Integer>: id to limit results to

#### Returns

- response<~Excon::Response>:
  - body<~Array>:

TODO: docs

avail_kernels(kernel_id=nil)

Get available kernels

#### Parameters

- kernelId<~Integer>: id to limit results to

#### Returns

- response<~Excon::Response>:
  - body<~Array>:

TODO: docs

avail_linodeplans(linodeplan_id = nil)

Get available plans

#### Parameters

- linodeplanId<~Integer>: id to limit results to

#### Returns

- response<~Excon::Response>:
  - body<~Array>:

TODO: docs

avail_stackscripts(options={})
linode_boot(linode_id, config_id)
linode_config_create(linode_id, kernel_id, name, disk_list)
linode_config_list(linode_id, config_id=nil, options={})
linode_create(datacenter_id, plan_id, payment_term)

Creates a linode and assigns you full privileges

#### Parameters

- datacenter_id<~Integer>: id of datacenter to place new linode in
- plan_id<~Integer>: id of plan to boot new linode with
- payment_term<~Integer>: Subscription term in months, in [1, 12, 24]

#### Returns

- response<~Excon::Response>:
  - body<~Array>:

TODO: docs

linode_delete(linode_id, options={})

List all linodes user has access or delete to

#### Parameters

- linode_id<~Integer>: id of linode to delete
- options<~Hash>:
  - skipChecks<~Boolean>: skips safety checks and always deletes

#### Returns

- response<~Excon::Response>:
  - body<~Array>:

TODO: docs

linode_disk_create(linode_id, name, type, size)
linode_disk_createfromdistribution(linode_id, distro_id, name, size, password)
linode_disk_createfromstackscript(linode_id, script_id, distro_id, name, size, password, options={})
linode_disk_delete(linode_id, disk_id)
linode_disk_list(linode_id, disk_id=nil)
linode_ip_addprivate(linode_id)
linode_ip_list(linode_id, ip_id=nil)
linode_list(linode_id=nil)

List all linodes user has access or delete to

#### Parameters

- linodeId<~Integer>: Limit the list to the specified LinodeID

#### Returns

- response<~Excon::Response>:
  - body<~Array>:

TODO: docs

linode_reboot(linode_id, options={})

Issues a shutdown, and then a boot job for a given linode

#### Parameters

- linode_id<~Integer>: id of linode to reboot
- options<~Hash>:
  - configId<~Boolean>: id of config to boot server with

#### Returns

- response<~Excon::Response>:
  - body<~Array>:

TODO: docs

linode_shutdown(linode_id)
linode_update(linode_id, options={})
reload()
request(params)
stackscript_list(script_id=nil)

Get available stack scripts

#### Parameters

- scriptId<~Integer>: id to limit results to

#### Returns

- response<~Excon::Response>:
  - body<~Array>:

TODO: docs

[Validate]